import { RestService } from '../../services/rest.service';
import { StorageServiceService } from '../../services/storage.service';
import * as i0 from "@angular/core";
export declare class ListHomeAppointmentComponent {
    private restService;
    private storageService;
    sectionsVisible: {
        billDetails: boolean;
        deliveryDetails: boolean;
        timeline: boolean;
    };
    currentTab: 'BOOKING_LIST' | 'BOOKING_DETAIL';
    orderTimiline: any;
    homeAppointmentList: any[];
    appointmentDetails: any;
    constructor(restService: RestService, storageService: StorageServiceService);
    ngOnInit(): void;
    getHomeAppointmentList(): void;
    private getIcon;
    toggleSection(section: keyof typeof this.sectionsVisible): void;
    get currency(): string;
    get isMobile(): boolean;
    viewBookingDetail(appointmentDetail: any): void;
    backToAppointmentList(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListHomeAppointmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListHomeAppointmentComponent, "simpo-list-home-appointment", never, {}, {}, never, never, true, never>;
}
